■ 개 요
MS社는 2월 11일 Internet Explorer, MS Exchange 등에서 시스템 장악 등 해킹에 악용 가능한 보안취약점 4건(긴급 2, 중요 2)을 발표하였는 바, 각급기관은 해당 시스템에 대한 MS社의 보안 업데이트를 조속히 설치하시기 바랍니다.

 

■ 보안 업데이트에 포함된 취약점 및 관련 사이트


1. Internet Explorer 누적 보안업데이트(긴급, 961260)

o 설 명
Internet Explorer에서 조작된 스타일 시트를 처리하는 과정 등에 원격코드 실행 취약점이 존재하여 공격자는 악의적인 웹페이지를 구축한 후 이메일 등을 통해 사용자의 방문을 유도하여 취약한 시스템에 대해 완전한 권한 획득이 가능하다.

o 관련 취약점
    - Uninitialized Memory Corruption Vulnerability(CVE-2009-0075)
    - CSS Memory Corruption Vulnerability(CVE-2009-0076)

o 영향받는 소프트웨어
   - Internet Explorer 7 for Microsoft Windows XP SP2, SP3
   - Internet Explorer 7 for Microsoft Windows XP Professional x64 Edition, SP2
   - Internet Explorer 7 for Microsoft Windows Server 2003 SP1, SP2
   - Internet Explorer 7 for Microsoft Windows Server 2003 SP1, SP2 for Itanium-based Systems
   - Internet Explorer 7 for Microsoft Windows Server 2003 x64 Edition, SP2
   - Internet Explorer 7 for Microsoft Windows Vista, SP1
   - Internet Explorer 7 for Microsoft Windows Vista x64 Edition, SP1
   - Internet Explorer 7 for Microsoft Windows Server 2008
   - Internet Explorer 7 for Microsoft Windows Server 2008 x64 Edition
   - Internet Explorer 7 for Microsoft Windows Server 2008 for Itanium-based Systems
o 영향받지 않는 소프트웨어
   - Internet Explorer 5.01 SP4 for Microsoft Windows 2000 SP4
   - Internet Explorer 6 SP1 for Microsoft Windows 2000 SP4
   - Internet Explorer 6 for Microsoft Windows XP SP2, SP3
   - Internet Explorer 6 for Microsoft Windows XP Professional x64 Edition, SP2
   - Internet Explorer 6 for Microsoft Windows Server 2003 SP1, SP2
   - Internet Explorer 6 for Microsoft Windows Server 2003 x64 Edition, SP2
   - Internet Explorer 6 for Microsoft Windows Server 2003 SP1, SP2 for Itanium-based Systems
o 관련사이트
→ 영문 : http://www.microsoft.com/technet/security/Bulletin/MS09-002.mspx
→ 한글 : http://www.microsoft.com/korea/technet/security/Bulletin/MS09-002.mspx
2. MS Exchange 취약점으로 인한 원격코드실행 문제점(긴급, 959239)

o 설 명
MS Exchange 서버에서 조작된 TNEF 메시지 및 MAPI 명령을 처리하는 과정에 원격코드 실행 취약점이 존재하여 공격자는 악의적으로 조작된 이메일을 Exchange 서버 사용자에게 전송, 열람을 유도하여  취약한 시스템에 대해 완전한 권한 획득이 가능하다.

* TNEF(Transport Neutral Encapsulation Format) : MS Exchange Server 및 Outlook 클라이언트에서 서식 있는 텍스트(RTF)를 보낼때 사용하는 형식
* MAPI(Message Application Programming Interface) : 이메일을 보내거나 현재 작성중인 문서를 이메일 내용으로 첨부할 수 있도록 해주는 인터페이스

o 관련 취약점
    - Memory Corruption Vulnerability(CVE-2009-0098)
    - Literal Processing Vulnerability(CVE-2009-0099)

o 영향받는 소프트웨어
   - Microsoft Exchange 2000 Server SP3
   - Microsoft Exchange Server 2003 SP2
   - Microsoft Exchange Server 2007 SP1
o 관련사이트
→ 영문 : http://www.microsoft.com/technet/security/Bulletin/MS09-003.mspx
→ 한글 : http://www.microsoft.com/korea/technet/security/Bulletin/MS09-003.mspx
3. SQL 서버의 취약점으로 인한 원격코드실행 문제점(중요, 959420)

o 설 명
MS SQL 서버에서 SQL 인젝션 공격이 가능한 취약점이 존재하여 공격자는 홈페이지에 악성코드 삽입, DB 내용 절취 등 취약한 시스템에 대해 완전한 권한 획득이 가능하다.

* SQL 인젝션 : DB에 정상적인 쿼리로 위장한 악의적인 쿼리를 전송, 이를 실행토록 하는 해킹수법

o 관련 취약점
    - SQL Server sp_replwritetovarbin Limited Memory Overwrite Vulnerability(CVE-2008-5416)

o 영향받는 소프트웨어
   - SQL Server 2000 SP4
   - SQL Server 2000 Itanium-based Edition SP4
   - SQL Server 2005 SP2
   - SQL Server 2005 x64 Edition SP2
   - SQL Server 2005 for Itanium-based Systems SP2
   - Microsoft SQL Server 2000 Desktop Engine(MSDE 2000) SP4
   - Microsoft SQL Server 2005 Express Edition SP2
   - Microsoft SQL Server 2005 Express Edition with Advanced Services SP2
   - Microsoft SQL Server 2000 Desktop Engine(WMSDE) on Windows Server 2003 SP1, SP2
   - Microsoft SQL Server 2000 Desktop Engine(WMSDE) on Windows Server 2003 x64 Edition,
      SP2
   - Windows Internal Database(WYukon) SP2 on Windows Server 2003 SP1, SP2
   - Windows Internal Database(WYukon) x64 Edition SP2 on Windows Server 2003 x64 Edition,
      SP2
   - Windows Internal Database(WYukon) SP2 on Microsoft Windows Server 2008
   - Windows Internal Database(WYukon) x64 Edition SP2 on Microsoft Windows Server 2008
      x64
o 영향받지 않는 소프트웨어
   - SQL Server 7.0 SP4
   - Microsoft Data Engine(MSDE) 1.0 SP4
   - SQL Server 2005 SP3
   - Application Center 2000 SP2
   - SQL Server 2005 x64 Edition SP2
   - SQL Server 2005 SP3 for Itanium-based
   - SQL Server 2008, x64, Itanium-based
o 관련사이트
→ 영문 : http://www.microsoft.com/technet/security/Bulletin/MS09-004.mspx
→ 한글 : http://www.microsoft.com/korea/technet/security/Bulletin/MS09-003.mspx
4. MS Visio 취약점으로 인한 원격코드실행 문제(중요, 957634)

o 설 명
MS Vsio에서 특정 파일을 처리하는 과정에 원격코드 실행 취약점이 존재하여 공격자는 악의적인 웹페이지를 구축한 후 사용자의 방문을 유도하거나 이메일 첨부파일을 열어보도록 유도하여 취약시스템에 대해 완전한 권한 획득이 가능하다.

o 관련 취약점
   - Memory Validation Vulnerability(CVE-2009-0095)
   - Memory Corruption Vulnerability(CVE-2009-0096)
   - Memory Corruption Vulnerability(CVE-2009-0097)

o 영향받는 소프트웨어
   - Microsoft Visio 2002 SP2
   - Microsoft Visio 2003 SP3
   - Microsoft Visio 2007 SP1
o 영향받지 않는 소프트웨어
   - Microsoft Office Visio 2002 Viewer
   - Microsoft Office Visio 2003 Viewer
   - Microsoft Office Visio Viewer 2007, SP1
o 관련사이트
→ 영문 : http://www.microsoft.com/technet/security/bulletin/MS09-005.mspx
→ 한글 : http://www.microsoft.com/korea/technet/security/bulletin/MS09-005.mspx